package fr.iutfbleau.projetAgile.Menu.Controller;

import java.awt.event.MouseListener;
import java.awt.event.*;
import fr.iutfbleau.projetAgile.Menu.View.*;

/**
 * Observateur des Boutons du Menu
 */
public class ObservateurMenuSouris implements MouseListener{
    /**
     * Constructeur
     */
    public ObservateurMenuSouris(){
    }
    public void mouseClicked(MouseEvent evenement){
        BoutonsMenu bout=(BoutonsMenu) (evenement.getComponent());
        if(bout.getPath()==Menu.PUISSANCE_4){
            Menu.show(Menu.PUISSANCE_4);
        }
    }          // un bouton cliqué
    public void mouseEntered(MouseEvent evenement){
        BoutonsMenu bout=(BoutonsMenu) (evenement.getComponent());
        bout.setSurvol(true);
    }          // debut du survol
    public void mouseExited(MouseEvent evenement){
        BoutonsMenu bout=(BoutonsMenu) (evenement.getComponent());
        bout.setSurvol(false);
    }           // fin du survol
    public void mousePressed(MouseEvent evenement){
        BoutonsMenu bout=(BoutonsMenu) (evenement.getComponent());
        bout.setSurvol(false);
    }          // un bouton appuyé
    public void mouseReleased(MouseEvent evenement){
        BoutonsMenu bout=(BoutonsMenu) (evenement.getComponent());
        bout.setSurvol(true);
    }         // un bouton relâché
}
